toolzerhub API Docs

List company jobs

List an employer's open roles for a city and state using values from a search result. An unknown company path returns data: null.

1 credit / requestBilled only on success
GET
/v1/ziprecruiter/company

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

company*string

Exact company path segment from a search result's company_url field.

Match^[^\s/]{1,200}$
Length1 <= length <= 200
city*string

The exact -in-, path segment, e.g. 'Tampa' or 'Southwest-Ranches' — hyphenated the way ZipRecruiter renders it, not a display string with spaces.

Match^[^\s/]{1,100}$
Length1 <= length <= 100
state*string

The two-letter state code, e.g. 'FL'.

Match^[A-Za-z]{2}$
Length2 <= length <= 2
curl -X GET "https://example.com/v1/ziprecruiter/company?company=Maxim-Healthcare-Services&city=Tampa&state=FL" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "company": "Maxim-Healthcare-Services",    "city": "Miami",    "state": "FL",    "url": "string",    "total_listings": 0,    "count": 0,    "results": [      {        "job_id": "sa0o0DJBHcxh_je9EJAcYQ",        "title": "LPN - Private Duty Nursing - Peds Vent",        "short_description": "string",        "is_active": true,        "posted_at": "2026-08-26T06:18:02Z",        "posted_label": "8 days ago",        "updated_at": "string",        "pay": {          "interval": "PAY_INTERVAL_HOUR",          "currency": "PAY_CURRENCY_USD",          "min": 0,          "max": 0,          "min_annual": 0,          "max_annual": 0        },        "pay_label": "$$30/hr",        "benefits": [          "BENEFIT_TYPE_NAME_MEDICAL",          "BENEFIT_TYPE_NAME_DENTAL"        ],        "employment_types": [          "EMPLOYMENT_TYPE_NAME_FULL_TIME"        ],        "location_types": [          "LOCATION_TYPE_NAME_IN_PERSON"        ],        "company": {          "id": "string",          "name": "Maxim Healthcare Services"        },        "company_url": "/co/Maxim-Healthcare-Services/Jobs",        "company_logo_url": "string",        "location": {          "city": "Miami",          "state": "Florida",          "state_code": "FL",          "county": "Miami-Dade",          "postal_code": "33176",          "country": "United States",          "display_name": "Miami, FL US 33176"        },        "apply_url": "string",        "canonical_url": "string"      }    ]  }}